//
//  NSTreeController_ext.h
//  OnFlAppFoundation
//
//  Created by Ondrej Florian on 15/08/2013.
//
//

#import <Cocoa/Cocoa.h>

@interface NSTreeController (NSTreeController_ext)

- (NSIndexPath*)indexPathOfObject:(id)anObject;
- (NSIndexPath*)indexPathOfObject:(id)anObject inNodes:(NSArray*)nodes;

- (NSArray*)indexPathsOfObjects:(NSArray*) objects inNodes:(NSArray*)nodes;
- (NSArray*)indexPathsOfObjects:(NSArray*) objects;

- (NSArray*)allObjectsInNodes:(NSArray*)nodes;
- (NSArray*)allObjects;
@end
